import { Chalk } from 'chalk';
import { LoggerLevel } from './logger';
export declare type LoggerColors = {
    [L in LoggerLevel]: Chalk;
};
export interface Colors {
    /**
     * Used to mark text as important. Comparable to HTML's <strong>.
     */
    strong: Chalk;
    /**
     * Used to mark text as less important.
     */
    weak: Chalk;
    /**
     * Used to mark text as input such as commands, inputs, options, etc.
     */
    input: Chalk;
    /**
     * Used to mark text as successful.
     */
    success: Chalk;
    /**
     * Used to mark text as failed.
     */
    failure: Chalk;
    log: LoggerColors;
}
export declare const DEFAULT_LOGGER_COLORS: LoggerColors;
export declare const DEFAULT_COLORS: Colors;
